package de.ugoe.cs.swe.bnftools.validation;

import java.util.ArrayList;
import java.util.List;

import de.ugoe.cs.swe.bnftools.ebnf.Rule;

public class DuplicateEntry {
	String snippet;
	List<Rule> rules = new ArrayList<Rule>();

	public String getSnippet() {
		return snippet;
	}

	public void setSnippet(String snippet) {
		this.snippet = snippet;
	}

	public List<Rule> getRules() {
		return rules;
	}

	public void setRules(List<Rule> rule) {
		this.rules = rule;
	}

	public void addRule(Rule r) {
		if (!rules.contains(r))
			rules.add(r);
	}
	
	public int getMatchCount() {
		return rules.size();
	}
	
}
